Manage addresses (add/update/remove)
curl --request PUT \
--url https://api.range.org/v2/counterparties/{id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operations": [
{
"action": "add",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"label": "payment wallet",
"id": "08846e81-b3a8-7fd9-cc39-d4023a75dcff"
}
]
}
'import requests
url = "https://api.range.org/v2/counterparties/{id}/addresses"
payload = { "operations": [
{
"action": "add",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"label": "payment wallet",
"id": "08846e81-b3a8-7fd9-cc39-d4023a75dcff"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operations: [
{
action: 'add',
address: '0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28',
network: 'ethereum',
label: 'payment wallet',
id: '08846e81-b3a8-7fd9-cc39-d4023a75dcff'
}
]
})
};
fetch('https://api.range.org/v2/counterparties/{id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "08846e81-b3a8-7fd9-cc39-d4023a75dcff",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"name": "Vercel Payment Wallet",
"label": "payment address"
}
]Counterparties
Manage addresses (add/update/remove)
PUT
/
v2
/
counterparties
/
{id}
/
addresses
Manage addresses (add/update/remove)
Authorizations
Use Authorization: Bearer
Path Parameters
Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Last modified on July 17, 2026
Was this page helpful?
⌘I